qemu-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Qemu-devel] [PATCH] qemu-iotests: test invalid pattern argument handlin


From: Christoph Hellwig
Subject: [Qemu-devel] [PATCH] qemu-iotests: test invalid pattern argument handling in qemu-io
Date: Mon, 20 Jul 2009 01:20:41 +0200
User-agent: Mutt/1.3.28i

Signed-off-by: Christoph Hellwig <address@hidden>

Index: qemu-iotests/021
===================================================================
--- /dev/null   1970-01-01 00:00:00.000000000 +0000
+++ qemu-iotests/021    2009-07-20 01:14:59.036900470 +0200
@@ -0,0 +1,62 @@
+#!/bin/sh
+#
+# Test handling of invalid patterns arguments to qemu-io
+#
+# Copyright (C) 2009 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+# creator
address@hidden
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1       # failure is the default!
+
+_cleanup()
+{
+       _cleanup_test_img
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+
+_supported_fmt generic
+_supported_os Linux
+
+
+size=128M
+_make_test_img $size
+
+INVALID_PATTERNS="-1 300 12m 4k route66"
+TEST_OPS="writev read write readv aio_read aio_write"
+
+for pattern in $INVALID_PATTERNS; do
+    for op in $TEST_OPS; do
+        echo
+       echo "== testing $op -P $pattern =="
+       $QEMU_IO -c "$op -P $pattern 0 4096" $TEST_IMG | _filter_qemu_io
+    done
+done
+
+# success, all done
+echo "*** done"
+rm -f $seq.full
+status=0
Index: qemu-iotests/021.out
===================================================================
--- /dev/null   1970-01-01 00:00:00.000000000 +0000
+++ qemu-iotests/021.out        2009-07-20 01:15:13.665927870 +0200
@@ -0,0 +1,93 @@
+QA output created by 021
+Formatting 'TEST_DIR/t.IMGFMT', fmt=IMGFMT size=134217728 
+
+== testing writev -P -1 ==
+-1 is not a valid pattern byte
+
+== testing read -P -1 ==
+-1 is not a valid pattern byte
+
+== testing write -P -1 ==
+-1 is not a valid pattern byte
+
+== testing readv -P -1 ==
+-1 is not a valid pattern byte
+
+== testing aio_read -P -1 ==
+-1 is not a valid pattern byte
+
+== testing aio_write -P -1 ==
+-1 is not a valid pattern byte
+
+== testing writev -P 300 ==
+300 is not a valid pattern byte
+
+== testing read -P 300 ==
+300 is not a valid pattern byte
+
+== testing write -P 300 ==
+300 is not a valid pattern byte
+
+== testing readv -P 300 ==
+300 is not a valid pattern byte
+
+== testing aio_read -P 300 ==
+300 is not a valid pattern byte
+
+== testing aio_write -P 300 ==
+300 is not a valid pattern byte
+
+== testing writev -P 12m ==
+12m is not a valid pattern byte
+
+== testing read -P 12m ==
+12m is not a valid pattern byte
+
+== testing write -P 12m ==
+12m is not a valid pattern byte
+
+== testing readv -P 12m ==
+12m is not a valid pattern byte
+
+== testing aio_read -P 12m ==
+12m is not a valid pattern byte
+
+== testing aio_write -P 12m ==
+12m is not a valid pattern byte
+
+== testing writev -P 4k ==
+4k is not a valid pattern byte
+
+== testing read -P 4k ==
+4k is not a valid pattern byte
+
+== testing write -P 4k ==
+4k is not a valid pattern byte
+
+== testing readv -P 4k ==
+4k is not a valid pattern byte
+
+== testing aio_read -P 4k ==
+4k is not a valid pattern byte
+
+== testing aio_write -P 4k ==
+4k is not a valid pattern byte
+
+== testing writev -P route66 ==
+route66 is not a valid pattern byte
+
+== testing read -P route66 ==
+route66 is not a valid pattern byte
+
+== testing write -P route66 ==
+route66 is not a valid pattern byte
+
+== testing readv -P route66 ==
+route66 is not a valid pattern byte
+
+== testing aio_read -P route66 ==
+route66 is not a valid pattern byte
+
+== testing aio_write -P route66 ==
+route66 is not a valid pattern byte
+*** done
Index: qemu-iotests/group
===================================================================
--- qemu-iotests.orig/group     2009-07-20 01:11:10.838923390 +0200
+++ qemu-iotests/group  2009-07-20 01:11:25.206168581 +0200
@@ -27,3 +27,4 @@
 018 rw backing auto
 019 rw backing auto
 020 rw backing auto
+021 io auto




reply via email to

[Prev in Thread] Current Thread [Next in Thread]